Skip to main content
GET
/
v1
/
metrics
List all metrics
curl --request GET \
  --url https://api.honeyhive.ai/v1/metrics \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.honeyhive.ai/v1/metrics"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.honeyhive.ai/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "metrics": [
    {
      "name": "<string>",
      "criteria": "<string>",
      "description": "<string>",
      "enabled_in_prod": true,
      "needs_ground_truth": true,
      "sampling_percentage": 50,
      "filters": {
        "filterArray": [
          {
            "field": "<string>",
            "value": "<string>"
          }
        ]
      },
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "model_provider": "<string>",
      "model_name": "<string>",
      "scale": 123,
      "threshold": {
        "min": 123,
        "max": 123,
        "pass_when": true,
        "passing_categories": [
          "<string>"
        ]
      },
      "categories": [
        {
          "category": "<string>",
          "score": 123
        }
      ],
      "child_metrics": [
        {
          "name": "<string>",
          "weight": 123,
          "id": "<string>",
          "scale": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
string

Filter by metric type

id
string

Filter by specific metric ID

Response

200 - application/json

Metrics retrieved successfully

Response for GET /metrics

metrics
object[]
required